# Packmangroup: Multimedia
# Packmanpackagename: kaffeine
# Packman: Manfred Tremmel
#
# Kaffeine spec file
#

# norootforbuild

%define major   1
%define libname libxine%{major}
%define libvers 1.1.17
%define _kde_prefix %(. /etc/opt/kde3/common_options; echo $prefix)
%define _kde_mimedir %(. /etc/opt/kde3/common_options; echo $kde_mimedir)
%define _mimetypebase %(if [ "release" = "release" ] ; then echo "kaffeine/mimetypes/application/"; else echo "mimetypes/application/"; fi)

%if %suse_version > 1110
Name:           kde3-kaffeine
%else
Name:           kaffeine
%endif
Summary:        A xine-based Media Player for KDE3
Summary(de):    Ein xine-basierender Media Player für KDE3
Version:        0.8.8
Release:        50.11
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Players
Url:            http://kaffeine.sourceforge.net
Source0:        kaffeine-%{version}.tar.bz2
Source5:        cs.po
Source6:        dvbdata.tar.gz
Patch0:         kaffeine.diff
Patch1:         adjust-mimetypes.diff
Patch2:         messagebox-dvd.diff
Patch4:         mutex.diff
Patch5:         kaffeine-media.diff
Patch6:         kaffeine-link.diff
Patch8:         kaffeine-quote-subs.patch
Patch9:         pedantic.diff
Patch10:        kaffeine-tmpobject.diff
Patch11:        dvbaudio-fix-build.patch
Patch12:        old-paranoia.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{libname} >= %{libvers}
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  libxine-devel >= %{libvers}
BuildRequires:  kdelibs3-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.23
BuildRequires:  cdparanoia-devel
BuildRequires:  libmp3lame-devel
Requires:       %{name}-lang = %{version}
Provides:       kaxtv = %{version}
Obsoletes:      kaxtv < %{version}
%if %suse_version > 1110
Provides:       kaffeine = %{version}
Obsoletes:      kaffeine < %{version}
%endif

%description
Kaffeine plays all files and devices supported by xine. For example:
MPEG files, AVI (if the codec being used is supported by xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Jürgen Kofler <kaffeine@gmx.net>

%description -l de
Kaffeine spielt alle Dateien und Devices, die von xine unterstützt
werden. Zum Beispiel:
MPEG Dateien, AVI (soweit der Codec von xine unterstützt wird), MP3,
und Ogg Vorbis. Es werden auch Video CDs, DVD, und DVB-Karten
unterstützt.



Autor:
------
    Jürgen Kofler <kaffeine@gmx.net>


%package gstreamer
Group:          Productivity/Multimedia/Video/Players
Summary:        Multimedia Player using Gstreamer
Summary(de):    Multimedia Player verwendet Gstreamer
Requires:       %{name} = %{version}-%{release}
%if %suse_version > 1110
Provides:       kaffeine-gstreamer = %{version}
Obsoletes:      kaffeine-gstreamer < %{version}
%endif

%description gstreamer
This plugin enables Kaffeine to play via the Gstreamer framework
instead of Xine.

The gstreamer backend can only get used for the visualization of audio
sources.

%description gstreamer -l de
Dieses Plugin ermöglicht Kaffeine mit Hilfe von Gstreamer anstelle
von Xine zu arbeiten.

Der gstreamer Backend kann derzeit nur zur Visualisierung von Audiodaten
verwendet werden.

%package devel
Group:          Development/Libraries/C and C++
Summary:        Kaffeine developer package
Summary(de):    Kaffeine Entwicklerpaket
Requires:       %{name} = %{version}-%{release}

%description devel
Includes and development files for Kaffeine

%description devel -l de
Includes und Entwicklerdateien für Kaffeine

%lang_package

%prep

%setup -n kaffeine-%{version}
%patch0
%patch1
%patch2
%patch4
#%patch5
%patch6
%patch8
%patch9
%patch10
%patch11
%patch12
cp %SOURCE5 po/
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make %{?jobs:-j%jobs}
cp %{SOURCE6} images

%install
. /etc/opt/kde3/common_options
%makeinstall
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
%{__rm} -rf %{buildroot}%{_kde_prefix}/share/locale/xx
%{__rm} -f %{buildroot}%{_kde_mimedir}/application/x-mplayer2.desktop
%{__mkdir_p} %{buildroot}%{_kde_prefix}/share/doc/HTML/en/kaffeine
kde_post_install
%find_lang kaffeine

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
case "$1" in
	1) # new install
		if [ ! -e %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
			%{__ln_s} %{_datadir}/doc/packages/kaffeine/x-mplayer2.desktop %{_kde_mimedir}/application/x-mplayer2.desktop
		fi
	;;
	2) # upgrade/reinstall
		if [ ! -e %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
			%{__ln_s} %{_datadir}/doc/packages/kaffeine/x-mplayer2.desktop %{_kde_mimedir}/application/x-mplayer2.desktop
		fi
	;;
esac
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then # remove
	if [ -L %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
		%{__rm} -f %{_kde_mimedir}/application/x-mplayer2.desktop
	fi
fi
/sbin/ldconfig

%files lang -f kaffeine.lang

%files
%defattr(-,root,root)
%doc %{_mimetypebase}x-mplayer2.desktop AUTHORS ChangeLog COPYING README* TODO
%{_kde_prefix}/bin/*
%{_kde_prefix}/%_lib/lib*.so.*
%{_kde_prefix}/%_lib/libkaffeinepart.so
%{_kde_prefix}/%_lib/kde3/libkaffeine*.so
%{_kde_prefix}/%_lib/kde3/libxine*.*
%{_kde_prefix}/share/appl*/*/*
%{_kde_prefix}/share/apps/kaffeine
%{_kde_prefix}/share/apps/konqueror
%{_kde_prefix}/share/apps/profiles
%{_kde_prefix}/share/icons/*
%doc %{_kde_prefix}/share/doc/HTML/en/kaffeine
%{_kde_mimedir}/application/*.desktop
%{_kde_prefix}/share/services/xine*.desktop
%{_kde_prefix}/share/services/kaffeine*.desktop
%{_kde_prefix}/share/servicetypes/kaffeine*.desktop

%files gstreamer
%defattr(-,root,root)
%{_kde_prefix}/%_lib/kde3/libgstreamerpart.*
%{_kde_prefix}/share/apps/gstreamerpart
%{_kde_prefix}/share/services/gstreamer_part.desktop

%files devel
%defattr(-,root,root)
%{_kde_prefix}/include/kaffeine
%{_kde_prefix}/%_lib/libkaffeineaudioencoder.so
%{_kde_prefix}/%_lib/libkaffeinedvbplugin.so
%{_kde_prefix}/%_lib/libkaffeineepgplugin.so
%{_kde_prefix}/%_lib/libkaffeineaudioencoder.*a
%{_kde_prefix}/%_lib/libkaffeinedvbplugin.*a
%{_kde_prefix}/%_lib/libkaffeineepgplugin.*a
%{_kde_prefix}/%_lib/libkaffeinepart.*a
%{_kde_prefix}/%_lib/kde3/libkaffeine*.*a


%changelog
* Thu Apr 14 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-50.pm.0
- adopted patches from openSUSE KDE:KDE3 Project
* Tue Mar 15 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-2.pm.1
- changes to make it build on openSUSE 11.4
* Sun Dec 06 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-1.pm.5
- fixed locales
* Sun Sep 20 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-1.pm.4
- changes for openSUSE 11.2 build
* Mon Sep 14 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-1.pm.3
- moved libkaffeinepart.so from devel to main package
* Sat Sep 12 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-1.pm.1
- cleanups where rpmlint wasn't so happy
* Tue Jun 02 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included dvb downgrade patch for openSUSE <= 11.1
* Tue May 26 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.8
* Sun Jul 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.7
* Wed Jun 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included some patches from openSUSE 11.0 package
* Sun Jan 20 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.6
* Wed Oct 03 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- enabled gstreamer support, now we have droped SUSE 9.3, we
  do have a gstreamer 0.10 on every plattform
* Sat Jul 28 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.5
* Sat Apr 21 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another try to fix DPMS, XTest and Xinerama with SUSE < 10.2
* Thu Apr 19 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added patch to enable DPMS, XTest and Xinerama also with SUSE < 10.2
* Fri Apr 13 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.4
* Mon Nov 27 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.3
* Sat Sep 09 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.2
* Fri Jul 28 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rework of the spec file (thaks to David Haller for his
  mimelink solution)
- added some patches from the SUSE KDE-Backport line
* Wed May 17 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- disabled gstreamer plugin
* Mon Apr 03 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8.1
* Sat Mar 25 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.8
* Mon Sep 05 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.7.1
* Mon Aug 08 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.7
* Sun Mar 20 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.6
* Thu Dec 23 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5
* Sun Jun 20 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some synchronisations with SuSE 9.1 spec-file (should solve
  build problems on amd64)
* Thu May 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3b
* Mon May 03 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3
* Tue Apr 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changes for including man-pages
* Wed Mar 24 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.2
* Sun Jan 18 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.1
* Tue Nov 18 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4
* Wed Jul 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.2
* Tue Jun 24 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first packman spec file, based on original project spec file
